/* AUTO-GENERATED FILE. DO NOT MODIFY.
 * This class was automatically generated by the
 * static binding generator from the resources it found.
 * Please do not modify by hand.
 */
package com.tns.gen.java.lang;

public class Object_vendor_95825_36_CalendarEventViewTapListenerImpl extends java.lang.Object
    implements com.tns.NativeScriptHashCodeProvider,
        com.telerik.widget.calendar.dayview.CalendarDayView.EventViewTapListener {
  public Object_vendor_95825_36_CalendarEventViewTapListenerImpl() {
    super();
    com.tns.Runtime.initInstance(this);
  }

  public void onEventViewTap(com.telerik.widget.calendar.events.Event param_0) {
    java.lang.Object[] args = new java.lang.Object[1];
    args[0] = param_0;
    com.tns.Runtime.callJSMethod(this, "onEventViewTap", void.class, args);
  }

  public int hashCode__super() {
    return super.hashCode();
  }

  public boolean equals__super(java.lang.Object other) {
    return super.equals(other);
  }
}
